VIAWD(4)

NAME
viawd - device driver for VIA south bridge watchdog timer

SYNOPSIS
To compile this driver into the kernel, place the following line in your kernel configuration file:

device viawd

Alternatively, to load the driver as a module at boot time, place the following line in loader.conf(5):

    viawd_load="YES"

DESCRIPTION
The viawd driver provides watchdog(4) support for the watchdog interrupt timer present on VIA south bridge chipset (VT8251, CX700, VX800, VX855, VX900).

The VIA south bridge have a built-in watchdog timer, which can be enabled and disabled by user's program and set between 1 to 1023 seconds.

The viawd driver when unloaded with running watchdog will reschedule the watchdog to 5 minutes.

SEE ALSO
watchdog(4), watchdog(8), watchdogd(8), watchdog(9)

HISTORY
The viawd driver first appeared in FreeBSD 10.0.

AUTHORS
-nosplit The viawd driver and this manual page were written by Fabien Thomas <fabient@FreeBSD.org>.